org.modeshape.jdbc.metadata

## Interface JDBCColumnPositions.REFERENCE_KEYS

- Enclosing interface:
    JDBCColumnPositions

      public static interface JDBCColumnPositions.REFERENCE_KEYS

  This class contains constants representing column positions on ResultSet returned by getCrossReferences method on DatabaseMetaData. The class has constants for columns whose values are to be hardcoded in MMDatabaseMetaData object. `MAX_COLUMNS` is the number of columns to be read from server's results from getCrossReferences method on server's `Metadata object`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFERRABILITY` Position of column that determines if forein key constraints can be deffered until commit.
    `static int` | `DELETE_RULE` Position of column that determines how forein key changes if PK is deleted.
    `static int` | `FK_NAME`
    `static int` | `FKCOLUMN_NAME`
    `static int` | `FKTABLE_CAT` Position of column that contains catalog name of the foreignTable.
    `static int` | `FKTABLE_NAME`
    `static int` | `FKTABLE_SCHEM` Position of column that contains schema name of the foreignTable.
    `static int` | `KEY_SEQ`
    `static int` | `MAX_COLUMNS` Number of columns to be read from results returned any of the 3 methods.
    `static int` | `PK_NAME`
    `static int` | `PKCOLUMN_NAME`
    `static int` | `PKTABLE_CAT` Position of column that contains catalog name of the primaryTable.
    `static int` | `PKTABLE_NAME`
    `static int` | `PKTABLE_SCHEM` Position of column that contains scheam name of the primaryTable.
    `static int` | `UPDATE_RULE` Position of column that determines how forein key changes if PK is updated.

- - ### Field Detail

    - #### MAX_COLUMNS

          static final int MAX_COLUMNS

      Number of columns to be read from results returned any of the 3 methods.
      See Also:
        Constant Field Values

    - #### PKTABLE_CAT

          static final int PKTABLE_CAT

      Position of column that contains catalog name of the primaryTable.
      See Also:
        Constant Field Values

    - #### PKTABLE_SCHEM

          static final int PKTABLE_SCHEM

      Position of column that contains scheam name of the primaryTable.
      See Also:
        Constant Field Values

    - #### PKTABLE_NAME

          static final int PKTABLE_NAME

      See Also:
        Constant Field Values

    - #### PKCOLUMN_NAME

          static final int PKCOLUMN_NAME

      See Also:
        Constant Field Values

    - #### FKTABLE_CAT

          static final int FKTABLE_CAT

      Position of column that contains catalog name of the foreignTable.
      See Also:
        Constant Field Values

    - #### FKTABLE_SCHEM

          static final int FKTABLE_SCHEM

      Position of column that contains schema name of the foreignTable.
      See Also:
        Constant Field Values

    - #### FKTABLE_NAME

          static final int FKTABLE_NAME

      See Also:
        Constant Field Values

    - #### FKCOLUMN_NAME

          static final int FKCOLUMN_NAME

      See Also:
        Constant Field Values

    - #### KEY_SEQ

          static final int KEY_SEQ

      See Also:
        Constant Field Values

    - #### UPDATE_RULE

          static final int UPDATE_RULE

      Position of column that determines how forein key changes if PK is updated.
      See Also:
        Constant Field Values

    - #### DELETE_RULE

          static final int DELETE_RULE

      Position of column that determines how forein key changes if PK is deleted.
      See Also:
        Constant Field Values

    - #### FK_NAME

          static final int FK_NAME

      See Also:
        Constant Field Values

    - #### PK_NAME

          static final int PK_NAME

      See Also:
        Constant Field Values

    - #### DEFERRABILITY

          static final int DEFERRABILITY

      Position of column that determines if forein key constraints can be deffered until commit.
      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.